ECategoriesDialog
3
LIBEDATASERVERUI Library

# ECategoriesDialog

## Synopsis

                        ECategoriesDialog;
    GtkWidget *         e_categories_dialog_new             (const gchar *categories);
    const gchar *       e_categories_dialog_get_categories  (ECategoriesDialog *dialog);
    void                e_categories_dialog_set_categories  (ECategoriesDialog *dialog,
                                                             const gchar *categories);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkWindow
                                           +----GtkDialog
                                                 +----ECategoriesDialog

## Implemented Interfaces

ECategoriesDialog implements AtkImplementorIface and GtkBuildable.

## Description

## Details

### ECategoriesDialog

    typedef struct _ECategoriesDialog ECategoriesDialog;

### e_categories_dialog_new ()

    GtkWidget *         e_categories_dialog_new             (const gchar *categories);

Creates a new ECategoriesDialog widget and sets the initial selection to `categories`.

`categories` :

  Comma-separated list of categories

Returns :

  a new ECategoriesDialog

### e_categories_dialog_get_categories ()

    const gchar *       e_categories_dialog_get_categories  (ECategoriesDialog *dialog);

Gets a comma-separated list of the categories currently selected in the dialog.

`dialog` :

  An ECategoriesDialog

Returns :

  a comma-separated list of categories

### e_categories_dialog_set_categories ()

    void                e_categories_dialog_set_categories  (ECategoriesDialog *dialog,
                                                             const gchar *categories);

Sets the list of categories selected on the dialog.

`dialog` :

  An ECategoriesDialog

`categories` :

  Comma-separated list of categories